Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class OWLTest

    java.lang.Object
      com.hp.hpl.jena.vocabulary.OWLTest

    public class OWLTest

extends java.lang.Object

The vocabulary used by the WebOnt working group to define test manifests.

Vocabulary definitions from file:data/testOntology.rdf

Author:
  Auto-generated by schemagen on 12 Sep 2003 17:16

Field Summary
`static Resource` | `ConsistencyTest` A consistent OWL document.
`static Resource` | `DL` One of the conformance levels in the OWL test suite.
`static Property` | `feature` This property relates a test to a language feature.
`static Resource` | `Full` One of the conformance levels in the OWL test suite.
`static Property` | `importedPremiseDocument` Despite the property URI, the document indicated by this property may or may not be imported into the test.
`static Resource` | `ImportEntailmentTest` The premise document, and its imports closure, entails the conclusion document.
`static Resource` | `ImportLevelTest` These tests use two documents.
`static Resource` | `InconsistencyTest` An inconsistent OWL document.
`static Resource` | `Issue` A member of this class is an issue in some issue list.
`static Property` | `issueNumber` A string valued property that gives a numeral (or some other quasi-numeric string) associated with an issue.
`static Resource` | `Large`
`static Property` | `level` Indicates the conformance level of a document or test in the OWL test suite.
`static Resource` | `Lite` One of the conformance levels in the OWL test suite.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static Resource` | `NegativeEntailmentTest` This is a negative entailment test according to the OWL entailment rules.
`static Resource` | `NotOwlFeatureTest` This is a negative test.
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://www.w3.org/2002/03owlt/testOntology#")
`static Resource` | `OWLforOWLTest` Illustrative of the use of OWL to describe OWL Full.
`static Resource` | `PositiveEntailmentTest` This is a positive entailment test according to the OWL entailment rules.
`static Property` | `size`
`static Property` | `supportedDatatype` The subject test is valid only when the object datatype is included in the datatype theory.
`static Resource` | `Test`
`static Resource` | `TrueTest` The conclusions follow from the empty premises.
`static Property` | `usedDatatype` The object is a datatype that appears in one of the test files in the subject test.

Constructor Summary
`OWLTest()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://www.w3.org/2002/03owlt/testOntology#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### feature

    public static final Property feature

  This property relates a test to a language feature. The language feature is usually indicated by a class or property.

### usedDatatype

    public static final Property usedDatatype

  The object is a datatype that appears in one of the test files in the subject test.

### supportedDatatype

    public static final Property supportedDatatype

  The subject test is valid only when the object datatype is included in the datatype theory.

### importedPremiseDocument

    public static final Property importedPremiseDocument

  Despite the property URI, the document indicated by this property may or may not be imported into the test.

### level

    public static final Property level

  Indicates the conformance level of a document or test in the OWL test suite.

### Lite

    public static final Resource Lite

  One of the conformance levels in the OWL test suite.

### DL

    public static final Resource DL

  One of the conformance levels in the OWL test suite.

### Full

    public static final Resource Full

  One of the conformance levels in the OWL test suite.

### issueNumber

    public static final Property issueNumber

  A string valued property that gives a numeral (or some other quasi-numeric string) associated with an issue.

### size

    public static final Property size

### Large

    public static final Resource Large

### Test

    public static final Resource Test

### PositiveEntailmentTest

    public static final Resource PositiveEntailmentTest

  This is a positive entailment test according to the OWL entailment rules.

### NegativeEntailmentTest

    public static final Resource NegativeEntailmentTest

  This is a negative entailment test according to the OWL entailment rules.

### TrueTest

    public static final Resource TrueTest

  The conclusions follow from the empty premises.

### OWLforOWLTest

    public static final Resource OWLforOWLTest

  Illustrative of the use of OWL to describe OWL Full.

### ImportLevelTest

    public static final Resource ImportLevelTest

  These tests use two documents. One is named importsNNN.rdf, the other is named mainNNN.rdf. These tests indicate the interaction between owl:imports and the sublanguage levels of the main document.

### NotOwlFeatureTest

    public static final Resource NotOwlFeatureTest

  This is a negative test. The input document contains some use of the OWL namespace which is not a feature of OWL. These typically show DAML+OIL features that are not being carried forward into OWL.

### ImportEntailmentTest

    public static final Resource ImportEntailmentTest

  The premise document, and its imports closure, entails the conclusion document.

### InconsistencyTest

    public static final Resource InconsistencyTest

  An inconsistent OWL document. (One that entails falsehood).

### ConsistencyTest

    public static final Resource ConsistencyTest

  A consistent OWL document. (One that does not entail falsehood).

### Issue

    public static final Resource Issue

  A member of this class is an issue in some issue list.

Constructor Detail

### OWLTest

    public OWLTest()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP